Index: src/dvdcss/dvdcss.h
===================================================================
--- src/dvdcss/dvdcss.h	(Revision 254)
+++ src/dvdcss/dvdcss.h	(Arbeitskopie)
@@ -56,6 +56,7 @@
 #define DVDCSS_SEEK_KEY        (1 << 1)
 
 
+#if defined(_WIN32) || defined(__CYGWIN__)
 #if defined(LIBDVDCSS_EXPORTS)
 #define LIBDVDCSS_EXPORT __declspec(dllexport) extern
 #elif defined(LIBDVDCSS_IMPORTS)
@@ -63,6 +64,11 @@
 #else
 #define LIBDVDCSS_EXPORT extern
 #endif
+#elif defined(__GNUC__) && (__GNUC__ >= 4)
+#define LIBDVDCSS_EXPORT __attribute__ ((visibility ("default"))) extern
+#else
+#define LIBDVDCSS_EXPORT extern
+#endif
 
 /*
  * Our version number. The variable name contains the interface version.
